/* gpaste-settings.c generated by valac 0.14.2, the Vala compiler
 * generated from gpaste-settings.vala, do not modify */

/*
 *      This file is part of GPaste.
 *
 *      Copyright 2011-2012 Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
 *
 *      GPaste is free software: you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation, either version 3 of the License, or
 *      (at your option) any later version.
 *
 *      GPaste is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with GPaste.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <config.h>
#include <gtk/gtk.h>
#include <glib/gi18n-lib.h>
#include <gpaste.h>
#include <float.h>
#include <math.h>
#include <gio/gio.h>
#include <stdio.h>


#define TYPE_WINDOW (window_get_type ())
#define WINDOW(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_WINDOW, Window))
#define WINDOW_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_WINDOW, WindowClass))
#define IS_WINDOW(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_WINDOW))
#define IS_WINDOW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_WINDOW))
#define WINDOW_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_WINDOW, WindowClass))

typedef struct _Window Window;
typedef struct _WindowClass WindowClass;
typedef struct _WindowPrivate WindowPrivate;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))

#define TYPE_MAIN (main_get_type ())
#define MAIN(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_MAIN, Main))
#define MAIN_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_MAIN, MainClass))
#define IS_MAIN(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_MAIN))
#define IS_MAIN_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_MAIN))
#define MAIN_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_MAIN, MainClass))

typedef struct _Main Main;
typedef struct _MainClass MainClass;
typedef struct _Block1Data Block1Data;
typedef struct _MainPrivate MainPrivate;
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))

struct _Window {
	GtkWindow parent_instance;
	WindowPrivate * priv;
};

struct _WindowClass {
	GtkWindowClass parent_class;
};

struct _WindowPrivate {
	GtkCheckButton* track_changes_button;
	GtkCheckButton* track_extension_state_button;
	GtkCheckButton* primary_to_history_button;
	GtkCheckButton* synchronize_clipboards_button;
	GtkCheckButton* save_history_button;
	GtkCheckButton* trim_items_button;
	GtkSpinButton* max_history_size_button;
	GtkSpinButton* max_displayed_history_size_button;
	GtkSpinButton* element_size_button;
	GtkSpinButton* min_text_item_size_button;
	GtkSpinButton* max_text_item_size_button;
	GtkEntry* keyboard_shortcut_entry;
};

struct _Block1Data {
	int _ref_count_;
	Window * self;
	Main* app;
};

struct _Main {
	GtkApplication parent_instance;
	MainPrivate * priv;
};

struct _MainClass {
	GtkApplicationClass parent_class;
};

struct _MainPrivate {
	Window* window;
	GPasteSettings* _settings;
};


static gpointer window_parent_class = NULL;
static gpointer main_parent_class = NULL;

#define gettext_package GETTEXT_PACKAGE
GType window_get_type (void) G_GNUC_CONST;
#define WINDOW_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), TYPE_WINDOW, WindowPrivate))
enum  {
	WINDOW_DUMMY_PROPERTY,
	WINDOW_TRACK_CHANGES,
	WINDOW_TRACK_EXTENSION_STATE,
	WINDOW_PRIMARY_TO_HISTORY,
	WINDOW_SYNCHRONIZE_CLIPBOARDS,
	WINDOW_SAVE_HISTORY,
	WINDOW_TRIM_ITEMS,
	WINDOW_MAX_HISTORY_SIZE,
	WINDOW_MAX_DISPLAYED_HISTORY_SIZE,
	WINDOW_ELEMENT_SIZE,
	WINDOW_MIN_TEXT_ITEM_SIZE,
	WINDOW_MAX_TEXT_ITEM_SIZE,
	WINDOW_KEYBOARD_SHORTCUT
};
Window* window_new (GtkApplication* app);
Window* window_construct (GType object_type, GtkApplication* app);
static void window_fill (Window* self);
GType main_get_type (void) G_GNUC_CONST;
static Block1Data* block1_data_ref (Block1Data* _data1_);
static void block1_data_unref (Block1Data* _data1_);
GPasteSettings* main_get_settings (Main* self);
void window_set_track_changes (Window* self, gboolean value);
static void __lambda1_ (Block1Data* _data1_);
gboolean window_get_track_changes (Window* self);
static void ___lambda1__gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self);
void window_set_track_extension_state (Window* self, gboolean value);
static void __lambda2_ (Block1Data* _data1_);
gboolean window_get_track_extension_state (Window* self);
static void ___lambda2__gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self);
void window_set_primary_to_history (Window* self, gboolean value);
static void __lambda3_ (Block1Data* _data1_);
gboolean window_get_primary_to_history (Window* self);
static void ___lambda3__gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self);
void window_set_synchronize_clipboards (Window* self, gboolean value);
static void __lambda4_ (Block1Data* _data1_);
gboolean window_get_synchronize_clipboards (Window* self);
static void ___lambda4__gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self);
void window_set_save_history (Window* self, gboolean value);
static void __lambda5_ (Block1Data* _data1_);
gboolean window_get_save_history (Window* self);
static void ___lambda5__gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self);
void window_set_trim_items (Window* self, gboolean value);
static void __lambda6_ (Block1Data* _data1_);
gboolean window_get_trim_items (Window* self);
static void ___lambda6__gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self);
void window_set_max_history_size (Window* self, guint32 value);
static void __lambda7_ (Block1Data* _data1_);
guint32 window_get_max_history_size (Window* self);
static void ___lambda7__gtk_adjustment_value_changed (GtkAdjustment* _sender, gpointer self);
void window_set_max_displayed_history_size (Window* self, guint32 value);
static void __lambda8_ (Block1Data* _data1_);
guint32 window_get_max_displayed_history_size (Window* self);
static void ___lambda8__gtk_adjustment_value_changed (GtkAdjustment* _sender, gpointer self);
void window_set_element_size (Window* self, guint32 value);
static void __lambda9_ (Block1Data* _data1_);
guint32 window_get_element_size (Window* self);
static void ___lambda9__gtk_adjustment_value_changed (GtkAdjustment* _sender, gpointer self);
void window_set_min_text_item_size (Window* self, guint32 value);
static void __lambda10_ (Block1Data* _data1_);
guint32 window_get_min_text_item_size (Window* self);
static void ___lambda10__gtk_adjustment_value_changed (GtkAdjustment* _sender, gpointer self);
void window_set_max_text_item_size (Window* self, guint32 value);
static void __lambda11_ (Block1Data* _data1_);
guint32 window_get_max_text_item_size (Window* self);
static void ___lambda11__gtk_adjustment_value_changed (GtkAdjustment* _sender, gpointer self);
void window_set_keyboard_shortcut (Window* self, const gchar* value);
static void __lambda12_ (Block1Data* _data1_);
const gchar* window_get_keyboard_shortcut (Window* self);
static void ___lambda12__gtk_editable_changed (GtkEditable* _sender, gpointer self);
static void window_finalize (GObject* obj);
static void _vala_window_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_window_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);
#define MAIN_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), TYPE_MAIN, MainPrivate))
enum  {
	MAIN_DUMMY_PROPERTY,
	MAIN_SETTINGS
};
Main* main_new (void);
Main* main_construct (GType object_type);
static void main_init (Main* self);
static void _main_init_g_application_activate (GApplication* _sender, gpointer self);
static void main_set_settings (Main* self, GPasteSettings* value);
static void __lambda0_ (Main* self, const gchar* key);
static void ___lambda0__g_paste_settings_changed (GPasteSettings* _sender, const gchar* object, gpointer self);
gint main_main (gchar** args, int args_length1);
static void main_finalize (GObject* obj);
static void _vala_main_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_main_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);


Window* window_construct (GType object_type, GtkApplication* app) {
	Window * self = NULL;
	const gchar* _tmp0_ = NULL;
	GtkApplication* _tmp1_;
	g_return_val_if_fail (app != NULL, NULL);
	self = (Window*) g_object_new (object_type, "type", GTK_WINDOW_TOPLEVEL, NULL);
	_tmp0_ = _ ("GPaste daemon settings");
	gtk_window_set_title ((GtkWindow*) self, _tmp0_);
	_tmp1_ = app;
	gtk_window_set_application ((GtkWindow*) self, _tmp1_);
	gtk_window_set_position ((GtkWindow*) self, GTK_WIN_POS_CENTER);
	gtk_window_set_resizable ((GtkWindow*) self, FALSE);
	window_fill (self);
	return self;
}


Window* window_new (GtkApplication* app) {
	return window_construct (TYPE_WINDOW, app);
}


static Block1Data* block1_data_ref (Block1Data* _data1_) {
	g_atomic_int_inc (&_data1_->_ref_count_);
	return _data1_;
}


static void block1_data_unref (Block1Data* _data1_) {
	if (g_atomic_int_dec_and_test (&_data1_->_ref_count_)) {
		_g_object_unref0 (_data1_->self);
		_g_object_unref0 (_data1_->app);
		g_slice_free (Block1Data, _data1_);
	}
}


static gpointer _g_object_ref0 (gpointer self) {
	return self ? g_object_ref (self) : NULL;
}


static void __lambda1_ (Block1Data* _data1_) {
	Window * self;
	GPasteSettings* _tmp0_;
	GPasteSettings* _tmp1_;
	gboolean _tmp2_;
	gboolean _tmp3_;
	self = _data1_->self;
	_tmp0_ = main_get_settings (_data1_->app);
	_tmp1_ = _tmp0_;
	_tmp2_ = window_get_track_changes (self);
	_tmp3_ = _tmp2_;
	g_paste_settings_set_track_changes (_tmp1_, _tmp3_);
}


static void ___lambda1__gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self) {
	__lambda1_ (self);
}


static void __lambda2_ (Block1Data* _data1_) {
	Window * self;
	GPasteSettings* _tmp0_;
	GPasteSettings* _tmp1_;
	gboolean _tmp2_;
	gboolean _tmp3_;
	self = _data1_->self;
	_tmp0_ = main_get_settings (_data1_->app);
	_tmp1_ = _tmp0_;
	_tmp2_ = window_get_track_extension_state (self);
	_tmp3_ = _tmp2_;
	g_paste_settings_set_track_extension_state (_tmp1_, _tmp3_);
}


static void ___lambda2__gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self) {
	__lambda2_ (self);
}


static void __lambda3_ (Block1Data* _data1_) {
	Window * self;
	GPasteSettings* _tmp0_;
	GPasteSettings* _tmp1_;
	gboolean _tmp2_;
	gboolean _tmp3_;
	self = _data1_->self;
	_tmp0_ = main_get_settings (_data1_->app);
	_tmp1_ = _tmp0_;
	_tmp2_ = window_get_primary_to_history (self);
	_tmp3_ = _tmp2_;
	g_paste_settings_set_primary_to_history (_tmp1_, _tmp3_);
}


static void ___lambda3__gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self) {
	__lambda3_ (self);
}


static void __lambda4_ (Block1Data* _data1_) {
	Window * self;
	GPasteSettings* _tmp0_;
	GPasteSettings* _tmp1_;
	gboolean _tmp2_;
	gboolean _tmp3_;
	self = _data1_->self;
	_tmp0_ = main_get_settings (_data1_->app);
	_tmp1_ = _tmp0_;
	_tmp2_ = window_get_synchronize_clipboards (self);
	_tmp3_ = _tmp2_;
	g_paste_settings_set_synchronize_clipboards (_tmp1_, _tmp3_);
}


static void ___lambda4__gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self) {
	__lambda4_ (self);
}


static void __lambda5_ (Block1Data* _data1_) {
	Window * self;
	GPasteSettings* _tmp0_;
	GPasteSettings* _tmp1_;
	gboolean _tmp2_;
	gboolean _tmp3_;
	self = _data1_->self;
	_tmp0_ = main_get_settings (_data1_->app);
	_tmp1_ = _tmp0_;
	_tmp2_ = window_get_save_history (self);
	_tmp3_ = _tmp2_;
	g_paste_settings_set_save_history (_tmp1_, _tmp3_);
}


static void ___lambda5__gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self) {
	__lambda5_ (self);
}


static void __lambda6_ (Block1Data* _data1_) {
	Window * self;
	GPasteSettings* _tmp0_;
	GPasteSettings* _tmp1_;
	gboolean _tmp2_;
	gboolean _tmp3_;
	self = _data1_->self;
	_tmp0_ = main_get_settings (_data1_->app);
	_tmp1_ = _tmp0_;
	_tmp2_ = window_get_trim_items (self);
	_tmp3_ = _tmp2_;
	g_paste_settings_set_trim_items (_tmp1_, _tmp3_);
}


static void ___lambda6__gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self) {
	__lambda6_ (self);
}


static void __lambda7_ (Block1Data* _data1_) {
	Window * self;
	GPasteSettings* _tmp0_;
	GPasteSettings* _tmp1_;
	guint32 _tmp2_;
	guint32 _tmp3_;
	self = _data1_->self;
	_tmp0_ = main_get_settings (_data1_->app);
	_tmp1_ = _tmp0_;
	_tmp2_ = window_get_max_history_size (self);
	_tmp3_ = _tmp2_;
	g_paste_settings_set_max_history_size (_tmp1_, (guint) _tmp3_);
}


static void ___lambda7__gtk_adjustment_value_changed (GtkAdjustment* _sender, gpointer self) {
	__lambda7_ (self);
}


static void __lambda8_ (Block1Data* _data1_) {
	Window * self;
	GPasteSettings* _tmp0_;
	GPasteSettings* _tmp1_;
	guint32 _tmp2_;
	guint32 _tmp3_;
	self = _data1_->self;
	_tmp0_ = main_get_settings (_data1_->app);
	_tmp1_ = _tmp0_;
	_tmp2_ = window_get_max_displayed_history_size (self);
	_tmp3_ = _tmp2_;
	g_paste_settings_set_max_displayed_history_size (_tmp1_, (guint) _tmp3_);
}


static void ___lambda8__gtk_adjustment_value_changed (GtkAdjustment* _sender, gpointer self) {
	__lambda8_ (self);
}


static void __lambda9_ (Block1Data* _data1_) {
	Window * self;
	GPasteSettings* _tmp0_;
	GPasteSettings* _tmp1_;
	guint32 _tmp2_;
	guint32 _tmp3_;
	self = _data1_->self;
	_tmp0_ = main_get_settings (_data1_->app);
	_tmp1_ = _tmp0_;
	_tmp2_ = window_get_element_size (self);
	_tmp3_ = _tmp2_;
	g_paste_settings_set_element_size (_tmp1_, (guint) _tmp3_);
}


static void ___lambda9__gtk_adjustment_value_changed (GtkAdjustment* _sender, gpointer self) {
	__lambda9_ (self);
}


static void __lambda10_ (Block1Data* _data1_) {
	Window * self;
	GPasteSettings* _tmp0_;
	GPasteSettings* _tmp1_;
	guint32 _tmp2_;
	guint32 _tmp3_;
	self = _data1_->self;
	_tmp0_ = main_get_settings (_data1_->app);
	_tmp1_ = _tmp0_;
	_tmp2_ = window_get_min_text_item_size (self);
	_tmp3_ = _tmp2_;
	g_paste_settings_set_min_text_item_size (_tmp1_, (guint) _tmp3_);
}


static void ___lambda10__gtk_adjustment_value_changed (GtkAdjustment* _sender, gpointer self) {
	__lambda10_ (self);
}


static void __lambda11_ (Block1Data* _data1_) {
	Window * self;
	GPasteSettings* _tmp0_;
	GPasteSettings* _tmp1_;
	guint32 _tmp2_;
	guint32 _tmp3_;
	self = _data1_->self;
	_tmp0_ = main_get_settings (_data1_->app);
	_tmp1_ = _tmp0_;
	_tmp2_ = window_get_max_text_item_size (self);
	_tmp3_ = _tmp2_;
	g_paste_settings_set_max_text_item_size (_tmp1_, (guint) _tmp3_);
}


static void ___lambda11__gtk_adjustment_value_changed (GtkAdjustment* _sender, gpointer self) {
	__lambda11_ (self);
}


static void __lambda12_ (Block1Data* _data1_) {
	Window * self;
	GPasteSettings* _tmp0_;
	GPasteSettings* _tmp1_;
	const gchar* _tmp2_;
	const gchar* _tmp3_;
	self = _data1_->self;
	_tmp0_ = main_get_settings (_data1_->app);
	_tmp1_ = _tmp0_;
	_tmp2_ = window_get_keyboard_shortcut (self);
	_tmp3_ = _tmp2_;
	g_paste_settings_set_keyboard_shortcut (_tmp1_, _tmp3_);
}


static void ___lambda12__gtk_editable_changed (GtkEditable* _sender, gpointer self) {
	__lambda12_ (self);
}


static void window_fill (Window* self) {
	Block1Data* _data1_;
	GtkGrid* _tmp0_;
	GtkGrid* _tmp1_;
	GtkGrid* grid;
	GtkApplication* _tmp2_;
	GtkApplication* _tmp3_;
	Main* _tmp4_;
	gint current_line;
	const gchar* _tmp5_ = NULL;
	GtkCheckButton* _tmp6_;
	GtkCheckButton* _tmp7_;
	GPasteSettings* _tmp8_;
	GPasteSettings* _tmp9_;
	gboolean _tmp10_ = FALSE;
	GtkCheckButton* _tmp11_;
	GtkCheckButton* _tmp12_;
	gint _tmp13_;
	const gchar* _tmp14_ = NULL;
	GtkCheckButton* _tmp15_;
	GtkCheckButton* _tmp16_;
	GPasteSettings* _tmp17_;
	GPasteSettings* _tmp18_;
	gboolean _tmp19_ = FALSE;
	GtkCheckButton* _tmp20_;
	GtkCheckButton* _tmp21_;
	gint _tmp22_;
	GtkSeparator* _tmp23_;
	GtkSeparator* _tmp24_;
	gint _tmp25_;
	const gchar* _tmp26_ = NULL;
	GtkCheckButton* _tmp27_;
	GtkCheckButton* _tmp28_;
	GPasteSettings* _tmp29_;
	GPasteSettings* _tmp30_;
	gboolean _tmp31_ = FALSE;
	GtkCheckButton* _tmp32_;
	GtkCheckButton* _tmp33_;
	gint _tmp34_;
	const gchar* _tmp35_ = NULL;
	GtkCheckButton* _tmp36_;
	GtkCheckButton* _tmp37_;
	GPasteSettings* _tmp38_;
	GPasteSettings* _tmp39_;
	gboolean _tmp40_ = FALSE;
	GtkCheckButton* _tmp41_;
	GtkCheckButton* _tmp42_;
	gint _tmp43_;
	GtkSeparator* _tmp44_;
	GtkSeparator* _tmp45_;
	gint _tmp46_;
	const gchar* _tmp47_ = NULL;
	GtkCheckButton* _tmp48_;
	GtkCheckButton* _tmp49_;
	GPasteSettings* _tmp50_;
	GPasteSettings* _tmp51_;
	gboolean _tmp52_ = FALSE;
	GtkCheckButton* _tmp53_;
	GtkCheckButton* _tmp54_;
	gint _tmp55_;
	const gchar* _tmp56_ = NULL;
	GtkCheckButton* _tmp57_;
	GtkCheckButton* _tmp58_;
	GPasteSettings* _tmp59_;
	GPasteSettings* _tmp60_;
	gboolean _tmp61_ = FALSE;
	GtkCheckButton* _tmp62_;
	GtkCheckButton* _tmp63_;
	gint _tmp64_;
	GtkSeparator* _tmp65_;
	GtkSeparator* _tmp66_;
	gint _tmp67_;
	const gchar* _tmp68_ = NULL;
	GtkLabel* _tmp69_;
	GtkLabel* _tmp70_;
	GtkLabel* max_history_size_label;
	gint _tmp71_;
	GtkSpinButton* _tmp72_;
	GtkSpinButton* _tmp73_;
	GPasteSettings* _tmp74_;
	GPasteSettings* _tmp75_;
	guint _tmp76_ = 0U;
	GtkSpinButton* _tmp77_;
	GtkAdjustment* _tmp78_ = NULL;
	GtkSpinButton* _tmp79_;
	const gchar* _tmp80_ = NULL;
	GtkLabel* _tmp81_;
	GtkLabel* _tmp82_;
	GtkLabel* max_displayed_history_size_label;
	gint _tmp83_;
	GtkSpinButton* _tmp84_;
	GtkSpinButton* _tmp85_;
	GPasteSettings* _tmp86_;
	GPasteSettings* _tmp87_;
	guint _tmp88_ = 0U;
	GtkSpinButton* _tmp89_;
	GtkAdjustment* _tmp90_ = NULL;
	GtkSpinButton* _tmp91_;
	const gchar* _tmp92_ = NULL;
	GtkLabel* _tmp93_;
	GtkLabel* _tmp94_;
	GtkLabel* element_size_label;
	gint _tmp95_;
	GtkSpinButton* _tmp96_;
	GtkSpinButton* _tmp97_;
	GPasteSettings* _tmp98_;
	GPasteSettings* _tmp99_;
	guint _tmp100_ = 0U;
	GtkSpinButton* _tmp101_;
	GtkAdjustment* _tmp102_ = NULL;
	GtkSpinButton* _tmp103_;
	const gchar* _tmp104_ = NULL;
	GtkLabel* _tmp105_;
	GtkLabel* _tmp106_;
	GtkLabel* min_text_item_size_label;
	gint _tmp107_;
	guint32 _tmp108_;
	GtkSpinButton* _tmp109_;
	GtkSpinButton* _tmp110_;
	GPasteSettings* _tmp111_;
	GPasteSettings* _tmp112_;
	guint _tmp113_ = 0U;
	GtkSpinButton* _tmp114_;
	GtkAdjustment* _tmp115_ = NULL;
	GtkSpinButton* _tmp116_;
	const gchar* _tmp117_ = NULL;
	GtkLabel* _tmp118_;
	GtkLabel* _tmp119_;
	GtkLabel* max_text_item_size_label;
	gint _tmp120_;
	guint32 _tmp121_;
	GtkSpinButton* _tmp122_;
	GtkSpinButton* _tmp123_;
	GPasteSettings* _tmp124_;
	GPasteSettings* _tmp125_;
	guint _tmp126_ = 0U;
	GtkSpinButton* _tmp127_;
	GtkAdjustment* _tmp128_ = NULL;
	GtkSpinButton* _tmp129_;
	const gchar* _tmp130_ = NULL;
	GtkLabel* _tmp131_;
	GtkLabel* _tmp132_;
	GtkLabel* keyboard_shortcut_label;
	gint _tmp133_;
	GtkEntry* _tmp134_;
	GtkEntry* _tmp135_;
	GPasteSettings* _tmp136_;
	GPasteSettings* _tmp137_;
	const gchar* _tmp138_ = NULL;
	GtkEntry* _tmp139_;
	GtkEntry* _tmp140_;
	g_return_if_fail (self != NULL);
	_data1_ = g_slice_new0 (Block1Data);
	_data1_->_ref_count_ = 1;
	_data1_->self = g_object_ref (self);
	_tmp0_ = (GtkGrid*) gtk_grid_new ();
	_tmp1_ = g_object_ref_sink (_tmp0_);
	grid = _tmp1_;
	_tmp2_ = gtk_window_get_application ((GtkWindow*) self);
	_tmp3_ = _tmp2_;
	_tmp4_ = _g_object_ref0 (IS_MAIN (_tmp3_) ? ((Main*) _tmp3_) : NULL);
	_data1_->app = _tmp4_;
	current_line = 0;
	g_object_set ((GtkWidget*) grid, "margin", 12, NULL);
	gtk_grid_set_column_spacing (grid, (guint) 10);
	gtk_grid_set_row_spacing (grid, (guint) 10);
	_tmp5_ = _ ("_Track clipboard changes");
	_tmp6_ = (GtkCheckButton*) gtk_check_button_new_with_mnemonic (_tmp5_);
	_tmp7_ = g_object_ref_sink (_tmp6_);
	_g_object_unref0 (self->priv->track_changes_button);
	self->priv->track_changes_button = _tmp7_;
	_tmp8_ = main_get_settings (_data1_->app);
	_tmp9_ = _tmp8_;
	_tmp10_ = g_paste_settings_get_track_changes (_tmp9_);
	window_set_track_changes (self, _tmp10_);
	_tmp11_ = self->priv->track_changes_button;
	g_signal_connect_data ((GtkToggleButton*) _tmp11_, "toggled", (GCallback) ___lambda1__gtk_toggle_button_toggled, block1_data_ref (_data1_), (GClosureNotify) block1_data_unref, 0);
	_tmp12_ = self->priv->track_changes_button;
	_tmp13_ = current_line;
	current_line = _tmp13_ + 1;
	gtk_grid_attach (grid, (GtkWidget*) _tmp12_, 0, _tmp13_, 2, 1);
	_tmp14_ = _ ("Sync the daemon state with the _extension's one");
	_tmp15_ = (GtkCheckButton*) gtk_check_button_new_with_mnemonic (_tmp14_);
	_tmp16_ = g_object_ref_sink (_tmp15_);
	_g_object_unref0 (self->priv->track_extension_state_button);
	self->priv->track_extension_state_button = _tmp16_;
	_tmp17_ = main_get_settings (_data1_->app);
	_tmp18_ = _tmp17_;
	_tmp19_ = g_paste_settings_get_track_extension_state (_tmp18_);
	window_set_track_extension_state (self, _tmp19_);
	_tmp20_ = self->priv->track_extension_state_button;
	g_signal_connect_data ((GtkToggleButton*) _tmp20_, "toggled", (GCallback) ___lambda2__gtk_toggle_button_toggled, block1_data_ref (_data1_), (GClosureNotify) block1_data_unref, 0);
	_tmp21_ = self->priv->track_extension_state_button;
	_tmp22_ = current_line;
	current_line = _tmp22_ + 1;
	gtk_grid_attach (grid, (GtkWidget*) _tmp21_, 0, _tmp22_, 2, 1);
	_tmp23_ = (GtkSeparator*) gtk_separator_new (GTK_ORIENTATION_HORIZONTAL);
	_tmp24_ = g_object_ref_sink (_tmp23_);
	_tmp25_ = current_line;
	current_line = _tmp25_ + 1;
	gtk_grid_attach (grid, (GtkWidget*) _tmp24_, 0, _tmp25_, 2, 1);
	_g_object_unref0 (_tmp24_);
	_tmp26_ = _ ("_Primary selection affects history");
	_tmp27_ = (GtkCheckButton*) gtk_check_button_new_with_mnemonic (_tmp26_);
	_tmp28_ = g_object_ref_sink (_tmp27_);
	_g_object_unref0 (self->priv->primary_to_history_button);
	self->priv->primary_to_history_button = _tmp28_;
	_tmp29_ = main_get_settings (_data1_->app);
	_tmp30_ = _tmp29_;
	_tmp31_ = g_paste_settings_get_primary_to_history (_tmp30_);
	window_set_primary_to_history (self, _tmp31_);
	_tmp32_ = self->priv->primary_to_history_button;
	g_signal_connect_data ((GtkToggleButton*) _tmp32_, "toggled", (GCallback) ___lambda3__gtk_toggle_button_toggled, block1_data_ref (_data1_), (GClosureNotify) block1_data_unref, 0);
	_tmp33_ = self->priv->primary_to_history_button;
	_tmp34_ = current_line;
	current_line = _tmp34_ + 1;
	gtk_grid_attach (grid, (GtkWidget*) _tmp33_, 0, _tmp34_, 2, 1);
	_tmp35_ = _ ("_Synchronize clipboard with primary selection");
	_tmp36_ = (GtkCheckButton*) gtk_check_button_new_with_mnemonic (_tmp35_);
	_tmp37_ = g_object_ref_sink (_tmp36_);
	_g_object_unref0 (self->priv->synchronize_clipboards_button);
	self->priv->synchronize_clipboards_button = _tmp37_;
	_tmp38_ = main_get_settings (_data1_->app);
	_tmp39_ = _tmp38_;
	_tmp40_ = g_paste_settings_get_synchronize_clipboards (_tmp39_);
	window_set_synchronize_clipboards (self, _tmp40_);
	_tmp41_ = self->priv->synchronize_clipboards_button;
	g_signal_connect_data ((GtkToggleButton*) _tmp41_, "toggled", (GCallback) ___lambda4__gtk_toggle_button_toggled, block1_data_ref (_data1_), (GClosureNotify) block1_data_unref, 0);
	_tmp42_ = self->priv->synchronize_clipboards_button;
	_tmp43_ = current_line;
	current_line = _tmp43_ + 1;
	gtk_grid_attach (grid, (GtkWidget*) _tmp42_, 0, _tmp43_, 2, 1);
	_tmp44_ = (GtkSeparator*) gtk_separator_new (GTK_ORIENTATION_HORIZONTAL);
	_tmp45_ = g_object_ref_sink (_tmp44_);
	_tmp46_ = current_line;
	current_line = _tmp46_ + 1;
	gtk_grid_attach (grid, (GtkWidget*) _tmp45_, 0, _tmp46_, 2, 1);
	_g_object_unref0 (_tmp45_);
	_tmp47_ = _ ("_Save history");
	_tmp48_ = (GtkCheckButton*) gtk_check_button_new_with_mnemonic (_tmp47_);
	_tmp49_ = g_object_ref_sink (_tmp48_);
	_g_object_unref0 (self->priv->save_history_button);
	self->priv->save_history_button = _tmp49_;
	_tmp50_ = main_get_settings (_data1_->app);
	_tmp51_ = _tmp50_;
	_tmp52_ = g_paste_settings_get_save_history (_tmp51_);
	window_set_save_history (self, _tmp52_);
	_tmp53_ = self->priv->save_history_button;
	g_signal_connect_data ((GtkToggleButton*) _tmp53_, "toggled", (GCallback) ___lambda5__gtk_toggle_button_toggled, block1_data_ref (_data1_), (GClosureNotify) block1_data_unref, 0);
	_tmp54_ = self->priv->save_history_button;
	_tmp55_ = current_line;
	current_line = _tmp55_ + 1;
	gtk_grid_attach (grid, (GtkWidget*) _tmp54_, 0, _tmp55_, 2, 1);
	_tmp56_ = _ ("_Trim items");
	_tmp57_ = (GtkCheckButton*) gtk_check_button_new_with_mnemonic (_tmp56_);
	_tmp58_ = g_object_ref_sink (_tmp57_);
	_g_object_unref0 (self->priv->trim_items_button);
	self->priv->trim_items_button = _tmp58_;
	_tmp59_ = main_get_settings (_data1_->app);
	_tmp60_ = _tmp59_;
	_tmp61_ = g_paste_settings_get_trim_items (_tmp60_);
	window_set_trim_items (self, _tmp61_);
	_tmp62_ = self->priv->trim_items_button;
	g_signal_connect_data ((GtkToggleButton*) _tmp62_, "toggled", (GCallback) ___lambda6__gtk_toggle_button_toggled, block1_data_ref (_data1_), (GClosureNotify) block1_data_unref, 0);
	_tmp63_ = self->priv->trim_items_button;
	_tmp64_ = current_line;
	current_line = _tmp64_ + 1;
	gtk_grid_attach (grid, (GtkWidget*) _tmp63_, 0, _tmp64_, 2, 1);
	_tmp65_ = (GtkSeparator*) gtk_separator_new (GTK_ORIENTATION_HORIZONTAL);
	_tmp66_ = g_object_ref_sink (_tmp65_);
	_tmp67_ = current_line;
	current_line = _tmp67_ + 1;
	gtk_grid_attach (grid, (GtkWidget*) _tmp66_, 0, _tmp67_, 2, 1);
	_g_object_unref0 (_tmp66_);
	_tmp68_ = _ ("Max history size: ");
	_tmp69_ = (GtkLabel*) gtk_label_new (_tmp68_);
	_tmp70_ = g_object_ref_sink (_tmp69_);
	max_history_size_label = _tmp70_;
	g_object_set ((GtkMisc*) max_history_size_label, "xalign", (gfloat) 0, NULL);
	_tmp71_ = current_line;
	current_line = _tmp71_ + 1;
	gtk_grid_attach (grid, (GtkWidget*) max_history_size_label, 0, _tmp71_, 1, 1);
	_tmp72_ = (GtkSpinButton*) gtk_spin_button_new_with_range ((gdouble) 5, (gdouble) 255, (gdouble) 5);
	_tmp73_ = g_object_ref_sink (_tmp72_);
	_g_object_unref0 (self->priv->max_history_size_button);
	self->priv->max_history_size_button = _tmp73_;
	_tmp74_ = main_get_settings (_data1_->app);
	_tmp75_ = _tmp74_;
	_tmp76_ = g_paste_settings_get_max_history_size (_tmp75_);
	window_set_max_history_size (self, (guint32) _tmp76_);
	_tmp77_ = self->priv->max_history_size_button;
	_tmp78_ = gtk_spin_button_get_adjustment (_tmp77_);
	g_signal_connect_data (_tmp78_, "value-changed", (GCallback) ___lambda7__gtk_adjustment_value_changed, block1_data_ref (_data1_), (GClosureNotify) block1_data_unref, 0);
	_tmp79_ = self->priv->max_history_size_button;
	gtk_grid_attach_next_to (grid, (GtkWidget*) _tmp79_, (GtkWidget*) max_history_size_label, GTK_POS_RIGHT, 1, 1);
	_tmp80_ = _ ("Max displayed history size: ");
	_tmp81_ = (GtkLabel*) gtk_label_new (_tmp80_);
	_tmp82_ = g_object_ref_sink (_tmp81_);
	max_displayed_history_size_label = _tmp82_;
	g_object_set ((GtkMisc*) max_displayed_history_size_label, "xalign", (gfloat) 0, NULL);
	_tmp83_ = current_line;
	current_line = _tmp83_ + 1;
	gtk_grid_attach (grid, (GtkWidget*) max_displayed_history_size_label, 0, _tmp83_, 1, 1);
	_tmp84_ = (GtkSpinButton*) gtk_spin_button_new_with_range ((gdouble) 5, (gdouble) 255, (gdouble) 5);
	_tmp85_ = g_object_ref_sink (_tmp84_);
	_g_object_unref0 (self->priv->max_displayed_history_size_button);
	self->priv->max_displayed_history_size_button = _tmp85_;
	_tmp86_ = main_get_settings (_data1_->app);
	_tmp87_ = _tmp86_;
	_tmp88_ = g_paste_settings_get_max_displayed_history_size (_tmp87_);
	window_set_max_displayed_history_size (self, (guint32) _tmp88_);
	_tmp89_ = self->priv->max_displayed_history_size_button;
	_tmp90_ = gtk_spin_button_get_adjustment (_tmp89_);
	g_signal_connect_data (_tmp90_, "value-changed", (GCallback) ___lambda8__gtk_adjustment_value_changed, block1_data_ref (_data1_), (GClosureNotify) block1_data_unref, 0);
	_tmp91_ = self->priv->max_displayed_history_size_button;
	gtk_grid_attach_next_to (grid, (GtkWidget*) _tmp91_, (GtkWidget*) max_displayed_history_size_label, GTK_POS_RIGHT, 1, 1);
	_tmp92_ = _ ("Max element size when displaying: ");
	_tmp93_ = (GtkLabel*) gtk_label_new (_tmp92_);
	_tmp94_ = g_object_ref_sink (_tmp93_);
	element_size_label = _tmp94_;
	g_object_set ((GtkMisc*) element_size_label, "xalign", (gfloat) 0, NULL);
	_tmp95_ = current_line;
	current_line = _tmp95_ + 1;
	gtk_grid_attach (grid, (GtkWidget*) element_size_label, 0, _tmp95_, 1, 1);
	_tmp96_ = (GtkSpinButton*) gtk_spin_button_new_with_range ((gdouble) 0, (gdouble) 255, (gdouble) 5);
	_tmp97_ = g_object_ref_sink (_tmp96_);
	_g_object_unref0 (self->priv->element_size_button);
	self->priv->element_size_button = _tmp97_;
	_tmp98_ = main_get_settings (_data1_->app);
	_tmp99_ = _tmp98_;
	_tmp100_ = g_paste_settings_get_element_size (_tmp99_);
	window_set_element_size (self, (guint32) _tmp100_);
	_tmp101_ = self->priv->element_size_button;
	_tmp102_ = gtk_spin_button_get_adjustment (_tmp101_);
	g_signal_connect_data (_tmp102_, "value-changed", (GCallback) ___lambda9__gtk_adjustment_value_changed, block1_data_ref (_data1_), (GClosureNotify) block1_data_unref, 0);
	_tmp103_ = self->priv->element_size_button;
	gtk_grid_attach_next_to (grid, (GtkWidget*) _tmp103_, (GtkWidget*) element_size_label, GTK_POS_RIGHT, 1, 1);
	_tmp104_ = _ ("Min text item length: ");
	_tmp105_ = (GtkLabel*) gtk_label_new (_tmp104_);
	_tmp106_ = g_object_ref_sink (_tmp105_);
	min_text_item_size_label = _tmp106_;
	g_object_set ((GtkMisc*) min_text_item_size_label, "xalign", (gfloat) 0, NULL);
	_tmp107_ = current_line;
	current_line = _tmp107_ + 1;
	gtk_grid_attach (grid, (GtkWidget*) min_text_item_size_label, 0, _tmp107_, 1, 1);
	_tmp108_ = G_MAXUINT32;
	_tmp109_ = (GtkSpinButton*) gtk_spin_button_new_with_range ((gdouble) 1, (gdouble) _tmp108_, (gdouble) 1);
	_tmp110_ = g_object_ref_sink (_tmp109_);
	_g_object_unref0 (self->priv->min_text_item_size_button);
	self->priv->min_text_item_size_button = _tmp110_;
	_tmp111_ = main_get_settings (_data1_->app);
	_tmp112_ = _tmp111_;
	_tmp113_ = g_paste_settings_get_min_text_item_size (_tmp112_);
	window_set_min_text_item_size (self, (guint32) _tmp113_);
	_tmp114_ = self->priv->min_text_item_size_button;
	_tmp115_ = gtk_spin_button_get_adjustment (_tmp114_);
	g_signal_connect_data (_tmp115_, "value-changed", (GCallback) ___lambda10__gtk_adjustment_value_changed, block1_data_ref (_data1_), (GClosureNotify) block1_data_unref, 0);
	_tmp116_ = self->priv->min_text_item_size_button;
	gtk_grid_attach_next_to (grid, (GtkWidget*) _tmp116_, (GtkWidget*) min_text_item_size_label, GTK_POS_RIGHT, 1, 1);
	_tmp117_ = _ ("Max text item length: ");
	_tmp118_ = (GtkLabel*) gtk_label_new (_tmp117_);
	_tmp119_ = g_object_ref_sink (_tmp118_);
	max_text_item_size_label = _tmp119_;
	g_object_set ((GtkMisc*) max_text_item_size_label, "xalign", (gfloat) 0, NULL);
	_tmp120_ = current_line;
	current_line = _tmp120_ + 1;
	gtk_grid_attach (grid, (GtkWidget*) max_text_item_size_label, 0, _tmp120_, 1, 1);
	_tmp121_ = G_MAXUINT32;
	_tmp122_ = (GtkSpinButton*) gtk_spin_button_new_with_range ((gdouble) 1, (gdouble) _tmp121_, (gdouble) 1);
	_tmp123_ = g_object_ref_sink (_tmp122_);
	_g_object_unref0 (self->priv->max_text_item_size_button);
	self->priv->max_text_item_size_button = _tmp123_;
	_tmp124_ = main_get_settings (_data1_->app);
	_tmp125_ = _tmp124_;
	_tmp126_ = g_paste_settings_get_max_text_item_size (_tmp125_);
	window_set_max_text_item_size (self, (guint32) _tmp126_);
	_tmp127_ = self->priv->max_text_item_size_button;
	_tmp128_ = gtk_spin_button_get_adjustment (_tmp127_);
	g_signal_connect_data (_tmp128_, "value-changed", (GCallback) ___lambda11__gtk_adjustment_value_changed, block1_data_ref (_data1_), (GClosureNotify) block1_data_unref, 0);
	_tmp129_ = self->priv->max_text_item_size_button;
	gtk_grid_attach_next_to (grid, (GtkWidget*) _tmp129_, (GtkWidget*) max_text_item_size_label, GTK_POS_RIGHT, 1, 1);
	_tmp130_ = _ ("Keyboard shortcut to display the history: ");
	_tmp131_ = (GtkLabel*) gtk_label_new (_tmp130_);
	_tmp132_ = g_object_ref_sink (_tmp131_);
	keyboard_shortcut_label = _tmp132_;
	g_object_set ((GtkMisc*) keyboard_shortcut_label, "xalign", (gfloat) 0, NULL);
	_tmp133_ = current_line;
	current_line = _tmp133_ + 1;
	gtk_grid_attach (grid, (GtkWidget*) keyboard_shortcut_label, 0, _tmp133_, 1, 1);
	_tmp134_ = (GtkEntry*) gtk_entry_new ();
	_tmp135_ = g_object_ref_sink (_tmp134_);
	_g_object_unref0 (self->priv->keyboard_shortcut_entry);
	self->priv->keyboard_shortcut_entry = _tmp135_;
	_tmp136_ = main_get_settings (_data1_->app);
	_tmp137_ = _tmp136_;
	_tmp138_ = g_paste_settings_get_keyboard_shortcut (_tmp137_);
	window_set_keyboard_shortcut (self, _tmp138_);
	_tmp139_ = self->priv->keyboard_shortcut_entry;
	g_signal_connect_data ((GtkEditable*) _tmp139_, "changed", (GCallback) ___lambda12__gtk_editable_changed, block1_data_ref (_data1_), (GClosureNotify) block1_data_unref, 0);
	_tmp140_ = self->priv->keyboard_shortcut_entry;
	gtk_grid_attach_next_to (grid, (GtkWidget*) _tmp140_, (GtkWidget*) keyboard_shortcut_label, GTK_POS_RIGHT, 1, 1);
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) grid);
	_g_object_unref0 (keyboard_shortcut_label);
	_g_object_unref0 (max_text_item_size_label);
	_g_object_unref0 (min_text_item_size_label);
	_g_object_unref0 (element_size_label);
	_g_object_unref0 (max_displayed_history_size_label);
	_g_object_unref0 (max_history_size_label);
	_g_object_unref0 (grid);
	block1_data_unref (_data1_);
	_data1_ = NULL;
}


gboolean window_get_track_changes (Window* self) {
	gboolean result;
	GtkCheckButton* _tmp0_;
	gboolean _tmp1_ = FALSE;
	g_return_val_if_fail (self != NULL, FALSE);
	_tmp0_ = self->priv->track_changes_button;
	_tmp1_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp0_);
	result = _tmp1_;
	return result;
}


void window_set_track_changes (Window* self, gboolean value) {
	GtkCheckButton* _tmp0_;
	gboolean _tmp1_;
	g_return_if_fail (self != NULL);
	_tmp0_ = self->priv->track_changes_button;
	_tmp1_ = value;
	gtk_toggle_button_set_active ((GtkToggleButton*) _tmp0_, _tmp1_);
	g_object_notify ((GObject *) self, "track-changes");
}


gboolean window_get_track_extension_state (Window* self) {
	gboolean result;
	GtkCheckButton* _tmp0_;
	gboolean _tmp1_ = FALSE;
	g_return_val_if_fail (self != NULL, FALSE);
	_tmp0_ = self->priv->track_extension_state_button;
	_tmp1_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp0_);
	result = _tmp1_;
	return result;
}


void window_set_track_extension_state (Window* self, gboolean value) {
	GtkCheckButton* _tmp0_;
	gboolean _tmp1_;
	g_return_if_fail (self != NULL);
	_tmp0_ = self->priv->track_extension_state_button;
	_tmp1_ = value;
	gtk_toggle_button_set_active ((GtkToggleButton*) _tmp0_, _tmp1_);
	g_object_notify ((GObject *) self, "track-extension-state");
}


gboolean window_get_primary_to_history (Window* self) {
	gboolean result;
	GtkCheckButton* _tmp0_;
	gboolean _tmp1_ = FALSE;
	g_return_val_if_fail (self != NULL, FALSE);
	_tmp0_ = self->priv->primary_to_history_button;
	_tmp1_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp0_);
	result = _tmp1_;
	return result;
}


void window_set_primary_to_history (Window* self, gboolean value) {
	GtkCheckButton* _tmp0_;
	gboolean _tmp1_;
	g_return_if_fail (self != NULL);
	_tmp0_ = self->priv->primary_to_history_button;
	_tmp1_ = value;
	gtk_toggle_button_set_active ((GtkToggleButton*) _tmp0_, _tmp1_);
	g_object_notify ((GObject *) self, "primary-to-history");
}


gboolean window_get_synchronize_clipboards (Window* self) {
	gboolean result;
	GtkCheckButton* _tmp0_;
	gboolean _tmp1_ = FALSE;
	g_return_val_if_fail (self != NULL, FALSE);
	_tmp0_ = self->priv->synchronize_clipboards_button;
	_tmp1_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp0_);
	result = _tmp1_;
	return result;
}


void window_set_synchronize_clipboards (Window* self, gboolean value) {
	GtkCheckButton* _tmp0_;
	gboolean _tmp1_;
	g_return_if_fail (self != NULL);
	_tmp0_ = self->priv->synchronize_clipboards_button;
	_tmp1_ = value;
	gtk_toggle_button_set_active ((GtkToggleButton*) _tmp0_, _tmp1_);
	g_object_notify ((GObject *) self, "synchronize-clipboards");
}


gboolean window_get_save_history (Window* self) {
	gboolean result;
	GtkCheckButton* _tmp0_;
	gboolean _tmp1_ = FALSE;
	g_return_val_if_fail (self != NULL, FALSE);
	_tmp0_ = self->priv->save_history_button;
	_tmp1_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp0_);
	result = _tmp1_;
	return result;
}


void window_set_save_history (Window* self, gboolean value) {
	GtkCheckButton* _tmp0_;
	gboolean _tmp1_;
	g_return_if_fail (self != NULL);
	_tmp0_ = self->priv->save_history_button;
	_tmp1_ = value;
	gtk_toggle_button_set_active ((GtkToggleButton*) _tmp0_, _tmp1_);
	g_object_notify ((GObject *) self, "save-history");
}


gboolean window_get_trim_items (Window* self) {
	gboolean result;
	GtkCheckButton* _tmp0_;
	gboolean _tmp1_ = FALSE;
	g_return_val_if_fail (self != NULL, FALSE);
	_tmp0_ = self->priv->trim_items_button;
	_tmp1_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp0_);
	result = _tmp1_;
	return result;
}


void window_set_trim_items (Window* self, gboolean value) {
	GtkCheckButton* _tmp0_;
	gboolean _tmp1_;
	g_return_if_fail (self != NULL);
	_tmp0_ = self->priv->trim_items_button;
	_tmp1_ = value;
	gtk_toggle_button_set_active ((GtkToggleButton*) _tmp0_, _tmp1_);
	g_object_notify ((GObject *) self, "trim-items");
}


guint32 window_get_max_history_size (Window* self) {
	guint32 result;
	GtkSpinButton* _tmp0_;
	gint _tmp1_ = 0;
	g_return_val_if_fail (self != NULL, 0U);
	_tmp0_ = self->priv->max_history_size_button;
	_tmp1_ = gtk_spin_button_get_value_as_int (_tmp0_);
	result = (guint32) _tmp1_;
	return result;
}


void window_set_max_history_size (Window* self, guint32 value) {
	GtkSpinButton* _tmp0_;
	GtkAdjustment* _tmp1_ = NULL;
	guint32 _tmp2_;
	g_return_if_fail (self != NULL);
	_tmp0_ = self->priv->max_history_size_button;
	_tmp1_ = gtk_spin_button_get_adjustment (_tmp0_);
	_tmp2_ = value;
	gtk_adjustment_set_value (_tmp1_, (gdouble) _tmp2_);
	g_object_notify ((GObject *) self, "max-history-size");
}


guint32 window_get_max_displayed_history_size (Window* self) {
	guint32 result;
	GtkSpinButton* _tmp0_;
	gint _tmp1_ = 0;
	g_return_val_if_fail (self != NULL, 0U);
	_tmp0_ = self->priv->max_displayed_history_size_button;
	_tmp1_ = gtk_spin_button_get_value_as_int (_tmp0_);
	result = (guint32) _tmp1_;
	return result;
}


void window_set_max_displayed_history_size (Window* self, guint32 value) {
	GtkSpinButton* _tmp0_;
	GtkAdjustment* _tmp1_ = NULL;
	guint32 _tmp2_;
	g_return_if_fail (self != NULL);
	_tmp0_ = self->priv->max_displayed_history_size_button;
	_tmp1_ = gtk_spin_button_get_adjustment (_tmp0_);
	_tmp2_ = value;
	gtk_adjustment_set_value (_tmp1_, (gdouble) _tmp2_);
	g_object_notify ((GObject *) self, "max-displayed-history-size");
}


guint32 window_get_element_size (Window* self) {
	guint32 result;
	GtkSpinButton* _tmp0_;
	gint _tmp1_ = 0;
	g_return_val_if_fail (self != NULL, 0U);
	_tmp0_ = self->priv->element_size_button;
	_tmp1_ = gtk_spin_button_get_value_as_int (_tmp0_);
	result = (guint32) _tmp1_;
	return result;
}


void window_set_element_size (Window* self, guint32 value) {
	GtkSpinButton* _tmp0_;
	GtkAdjustment* _tmp1_ = NULL;
	guint32 _tmp2_;
	g_return_if_fail (self != NULL);
	_tmp0_ = self->priv->element_size_button;
	_tmp1_ = gtk_spin_button_get_adjustment (_tmp0_);
	_tmp2_ = value;
	gtk_adjustment_set_value (_tmp1_, (gdouble) _tmp2_);
	g_object_notify ((GObject *) self, "element-size");
}


guint32 window_get_min_text_item_size (Window* self) {
	guint32 result;
	GtkSpinButton* _tmp0_;
	gint _tmp1_ = 0;
	g_return_val_if_fail (self != NULL, 0U);
	_tmp0_ = self->priv->min_text_item_size_button;
	_tmp1_ = gtk_spin_button_get_value_as_int (_tmp0_);
	result = (guint32) _tmp1_;
	return result;
}


void window_set_min_text_item_size (Window* self, guint32 value) {
	GtkSpinButton* _tmp0_;
	GtkAdjustment* _tmp1_ = NULL;
	guint32 _tmp2_;
	g_return_if_fail (self != NULL);
	_tmp0_ = self->priv->min_text_item_size_button;
	_tmp1_ = gtk_spin_button_get_adjustment (_tmp0_);
	_tmp2_ = value;
	gtk_adjustment_set_value (_tmp1_, (gdouble) _tmp2_);
	g_object_notify ((GObject *) self, "min-text-item-size");
}


guint32 window_get_max_text_item_size (Window* self) {
	guint32 result;
	GtkSpinButton* _tmp0_;
	gint _tmp1_ = 0;
	g_return_val_if_fail (self != NULL, 0U);
	_tmp0_ = self->priv->max_text_item_size_button;
	_tmp1_ = gtk_spin_button_get_value_as_int (_tmp0_);
	result = (guint32) _tmp1_;
	return result;
}


void window_set_max_text_item_size (Window* self, guint32 value) {
	GtkSpinButton* _tmp0_;
	GtkAdjustment* _tmp1_ = NULL;
	guint32 _tmp2_;
	g_return_if_fail (self != NULL);
	_tmp0_ = self->priv->max_text_item_size_button;
	_tmp1_ = gtk_spin_button_get_adjustment (_tmp0_);
	_tmp2_ = value;
	gtk_adjustment_set_value (_tmp1_, (gdouble) _tmp2_);
	g_object_notify ((GObject *) self, "max-text-item-size");
}


const gchar* window_get_keyboard_shortcut (Window* self) {
	const gchar* result;
	GtkEntry* _tmp0_;
	const gchar* _tmp1_ = NULL;
	g_return_val_if_fail (self != NULL, NULL);
	_tmp0_ = self->priv->keyboard_shortcut_entry;
	_tmp1_ = gtk_entry_get_text (_tmp0_);
	result = _tmp1_;
	return result;
}


void window_set_keyboard_shortcut (Window* self, const gchar* value) {
	GtkEntry* _tmp0_;
	const gchar* _tmp1_;
	g_return_if_fail (self != NULL);
	_tmp0_ = self->priv->keyboard_shortcut_entry;
	_tmp1_ = value;
	gtk_entry_set_text (_tmp0_, _tmp1_);
	g_object_notify ((GObject *) self, "keyboard-shortcut");
}


static void window_class_init (WindowClass * klass) {
	window_parent_class = g_type_class_peek_parent (klass);
	g_type_class_add_private (klass, sizeof (WindowPrivate));
	G_OBJECT_CLASS (klass)->get_property = _vala_window_get_property;
	G_OBJECT_CLASS (klass)->set_property = _vala_window_set_property;
	G_OBJECT_CLASS (klass)->finalize = window_finalize;
	g_object_class_install_property (G_OBJECT_CLASS (klass), WINDOW_TRACK_CHANGES, g_param_spec_boolean ("track-changes", "track-changes", "track-changes", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
	g_object_class_install_property (G_OBJECT_CLASS (klass), WINDOW_TRACK_EXTENSION_STATE, g_param_spec_boolean ("track-extension-state", "track-extension-state", "track-extension-state", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
	g_object_class_install_property (G_OBJECT_CLASS (klass), WINDOW_PRIMARY_TO_HISTORY, g_param_spec_boolean ("primary-to-history", "primary-to-history", "primary-to-history", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
	g_object_class_install_property (G_OBJECT_CLASS (klass), WINDOW_SYNCHRONIZE_CLIPBOARDS, g_param_spec_boolean ("synchronize-clipboards", "synchronize-clipboards", "synchronize-clipboards", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
	g_object_class_install_property (G_OBJECT_CLASS (klass), WINDOW_SAVE_HISTORY, g_param_spec_boolean ("save-history", "save-history", "save-history", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
	g_object_class_install_property (G_OBJECT_CLASS (klass), WINDOW_TRIM_ITEMS, g_param_spec_boolean ("trim-items", "trim-items", "trim-items", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
	g_object_class_install_property (G_OBJECT_CLASS (klass), WINDOW_MAX_HISTORY_SIZE, g_param_spec_uint ("max-history-size", "max-history-size", "max-history-size", 0, G_MAXUINT, 0U, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
	g_object_class_install_property (G_OBJECT_CLASS (klass), WINDOW_MAX_DISPLAYED_HISTORY_SIZE, g_param_spec_uint ("max-displayed-history-size", "max-displayed-history-size", "max-displayed-history-size", 0, G_MAXUINT, 0U, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
	g_object_class_install_property (G_OBJECT_CLASS (klass), WINDOW_ELEMENT_SIZE, g_param_spec_uint ("element-size", "element-size", "element-size", 0, G_MAXUINT, 0U, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
	g_object_class_install_property (G_OBJECT_CLASS (klass), WINDOW_MIN_TEXT_ITEM_SIZE, g_param_spec_uint ("min-text-item-size", "min-text-item-size", "min-text-item-size", 0, G_MAXUINT, 0U, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
	g_object_class_install_property (G_OBJECT_CLASS (klass), WINDOW_MAX_TEXT_ITEM_SIZE, g_param_spec_uint ("max-text-item-size", "max-text-item-size", "max-text-item-size", 0, G_MAXUINT, 0U, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
	g_object_class_install_property (G_OBJECT_CLASS (klass), WINDOW_KEYBOARD_SHORTCUT, g_param_spec_string ("keyboard-shortcut", "keyboard-shortcut", "keyboard-shortcut", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
}


static void window_instance_init (Window * self) {
	self->priv = WINDOW_GET_PRIVATE (self);
}


static void window_finalize (GObject* obj) {
	Window * self;
	self = WINDOW (obj);
	_g_object_unref0 (self->priv->track_changes_button);
	_g_object_unref0 (self->priv->track_extension_state_button);
	_g_object_unref0 (self->priv->primary_to_history_button);
	_g_object_unref0 (self->priv->synchronize_clipboards_button);
	_g_object_unref0 (self->priv->save_history_button);
	_g_object_unref0 (self->priv->trim_items_button);
	_g_object_unref0 (self->priv->max_history_size_button);
	_g_object_unref0 (self->priv->max_displayed_history_size_button);
	_g_object_unref0 (self->priv->element_size_button);
	_g_object_unref0 (self->priv->min_text_item_size_button);
	_g_object_unref0 (self->priv->max_text_item_size_button);
	_g_object_unref0 (self->priv->keyboard_shortcut_entry);
	G_OBJECT_CLASS (window_parent_class)->finalize (obj);
}


GType window_get_type (void) {
	static volatile gsize window_type_id__volatile = 0;
	if (g_once_init_enter (&window_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (WindowClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) window_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (Window), 0, (GInstanceInitFunc) window_instance_init, NULL };
		GType window_type_id;
		window_type_id = g_type_register_static (GTK_TYPE_WINDOW, "Window", &g_define_type_info, 0);
		g_once_init_leave (&window_type_id__volatile, window_type_id);
	}
	return window_type_id__volatile;
}


static void _vala_window_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	Window * self;
	self = WINDOW (object);
	switch (property_id) {
		case WINDOW_TRACK_CHANGES:
		g_value_set_boolean (value, window_get_track_changes (self));
		break;
		case WINDOW_TRACK_EXTENSION_STATE:
		g_value_set_boolean (value, window_get_track_extension_state (self));
		break;
		case WINDOW_PRIMARY_TO_HISTORY:
		g_value_set_boolean (value, window_get_primary_to_history (self));
		break;
		case WINDOW_SYNCHRONIZE_CLIPBOARDS:
		g_value_set_boolean (value, window_get_synchronize_clipboards (self));
		break;
		case WINDOW_SAVE_HISTORY:
		g_value_set_boolean (value, window_get_save_history (self));
		break;
		case WINDOW_TRIM_ITEMS:
		g_value_set_boolean (value, window_get_trim_items (self));
		break;
		case WINDOW_MAX_HISTORY_SIZE:
		g_value_set_uint (value, window_get_max_history_size (self));
		break;
		case WINDOW_MAX_DISPLAYED_HISTORY_SIZE:
		g_value_set_uint (value, window_get_max_displayed_history_size (self));
		break;
		case WINDOW_ELEMENT_SIZE:
		g_value_set_uint (value, window_get_element_size (self));
		break;
		case WINDOW_MIN_TEXT_ITEM_SIZE:
		g_value_set_uint (value, window_get_min_text_item_size (self));
		break;
		case WINDOW_MAX_TEXT_ITEM_SIZE:
		g_value_set_uint (value, window_get_max_text_item_size (self));
		break;
		case WINDOW_KEYBOARD_SHORTCUT:
		g_value_set_string (value, window_get_keyboard_shortcut (self));
		break;
		default:
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
		break;
	}
}


static void _vala_window_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	Window * self;
	self = WINDOW (object);
	switch (property_id) {
		case WINDOW_TRACK_CHANGES:
		window_set_track_changes (self, g_value_get_boolean (value));
		break;
		case WINDOW_TRACK_EXTENSION_STATE:
		window_set_track_extension_state (self, g_value_get_boolean (value));
		break;
		case WINDOW_PRIMARY_TO_HISTORY:
		window_set_primary_to_history (self, g_value_get_boolean (value));
		break;
		case WINDOW_SYNCHRONIZE_CLIPBOARDS:
		window_set_synchronize_clipboards (self, g_value_get_boolean (value));
		break;
		case WINDOW_SAVE_HISTORY:
		window_set_save_history (self, g_value_get_boolean (value));
		break;
		case WINDOW_TRIM_ITEMS:
		window_set_trim_items (self, g_value_get_boolean (value));
		break;
		case WINDOW_MAX_HISTORY_SIZE:
		window_set_max_history_size (self, g_value_get_uint (value));
		break;
		case WINDOW_MAX_DISPLAYED_HISTORY_SIZE:
		window_set_max_displayed_history_size (self, g_value_get_uint (value));
		break;
		case WINDOW_ELEMENT_SIZE:
		window_set_element_size (self, g_value_get_uint (value));
		break;
		case WINDOW_MIN_TEXT_ITEM_SIZE:
		window_set_min_text_item_size (self, g_value_get_uint (value));
		break;
		case WINDOW_MAX_TEXT_ITEM_SIZE:
		window_set_max_text_item_size (self, g_value_get_uint (value));
		break;
		case WINDOW_KEYBOARD_SHORTCUT:
		window_set_keyboard_shortcut (self, g_value_get_string (value));
		break;
		default:
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
		break;
	}
}


static void _main_init_g_application_activate (GApplication* _sender, gpointer self) {
	main_init (self);
}


static void __lambda0_ (Main* self, const gchar* key) {
	const gchar* _tmp0_;
	const gchar* _tmp1_;
	GQuark _tmp3_ = 0U;
	static GQuark _tmp2_label0 = 0;
	static GQuark _tmp2_label1 = 0;
	static GQuark _tmp2_label2 = 0;
	static GQuark _tmp2_label3 = 0;
	static GQuark _tmp2_label4 = 0;
	static GQuark _tmp2_label5 = 0;
	static GQuark _tmp2_label6 = 0;
	static GQuark _tmp2_label7 = 0;
	static GQuark _tmp2_label8 = 0;
	static GQuark _tmp2_label9 = 0;
	static GQuark _tmp2_label10 = 0;
	static GQuark _tmp2_label11 = 0;
	g_return_if_fail (key != NULL);
	_tmp0_ = key;
	_tmp1_ = _tmp0_;
	_tmp3_ = (NULL == _tmp1_) ? 0 : g_quark_from_string (_tmp1_);
	if (_tmp3_ == ((0 != _tmp2_label0) ? _tmp2_label0 : (_tmp2_label0 = g_quark_from_static_string ("track-changes")))) {
		switch (0) {
			default:
			{
				Window* _tmp4_;
				GPasteSettings* _tmp5_;
				gboolean _tmp6_ = FALSE;
				_tmp4_ = self->priv->window;
				_tmp5_ = self->priv->_settings;
				_tmp6_ = g_paste_settings_get_track_changes (_tmp5_);
				window_set_track_changes (_tmp4_, _tmp6_);
				break;
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label1) ? _tmp2_label1 : (_tmp2_label1 = g_quark_from_static_string ("track-extension-state")))) {
		switch (0) {
			default:
			{
				Window* _tmp7_;
				GPasteSettings* _tmp8_;
				gboolean _tmp9_ = FALSE;
				_tmp7_ = self->priv->window;
				_tmp8_ = self->priv->_settings;
				_tmp9_ = g_paste_settings_get_track_extension_state (_tmp8_);
				window_set_track_extension_state (_tmp7_, _tmp9_);
				break;
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label2) ? _tmp2_label2 : (_tmp2_label2 = g_quark_from_static_string ("primary-to-history")))) {
		switch (0) {
			default:
			{
				Window* _tmp10_;
				GPasteSettings* _tmp11_;
				gboolean _tmp12_ = FALSE;
				_tmp10_ = self->priv->window;
				_tmp11_ = self->priv->_settings;
				_tmp12_ = g_paste_settings_get_primary_to_history (_tmp11_);
				window_set_primary_to_history (_tmp10_, _tmp12_);
				break;
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label3) ? _tmp2_label3 : (_tmp2_label3 = g_quark_from_static_string ("synchronize_clipboards")))) {
		switch (0) {
			default:
			{
				Window* _tmp13_;
				GPasteSettings* _tmp14_;
				gboolean _tmp15_ = FALSE;
				_tmp13_ = self->priv->window;
				_tmp14_ = self->priv->_settings;
				_tmp15_ = g_paste_settings_get_synchronize_clipboards (_tmp14_);
				window_set_synchronize_clipboards (_tmp13_, _tmp15_);
				break;
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label4) ? _tmp2_label4 : (_tmp2_label4 = g_quark_from_static_string ("save-history")))) {
		switch (0) {
			default:
			{
				Window* _tmp16_;
				GPasteSettings* _tmp17_;
				gboolean _tmp18_ = FALSE;
				_tmp16_ = self->priv->window;
				_tmp17_ = self->priv->_settings;
				_tmp18_ = g_paste_settings_get_save_history (_tmp17_);
				window_set_save_history (_tmp16_, _tmp18_);
				break;
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label5) ? _tmp2_label5 : (_tmp2_label5 = g_quark_from_static_string ("trim-items")))) {
		switch (0) {
			default:
			{
				Window* _tmp19_;
				GPasteSettings* _tmp20_;
				gboolean _tmp21_ = FALSE;
				_tmp19_ = self->priv->window;
				_tmp20_ = self->priv->_settings;
				_tmp21_ = g_paste_settings_get_trim_items (_tmp20_);
				window_set_trim_items (_tmp19_, _tmp21_);
				break;
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label6) ? _tmp2_label6 : (_tmp2_label6 = g_quark_from_static_string ("max-history-size")))) {
		switch (0) {
			default:
			{
				Window* _tmp22_;
				GPasteSettings* _tmp23_;
				guint _tmp24_ = 0U;
				_tmp22_ = self->priv->window;
				_tmp23_ = self->priv->_settings;
				_tmp24_ = g_paste_settings_get_max_history_size (_tmp23_);
				window_set_max_history_size (_tmp22_, (guint32) _tmp24_);
				break;
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label7) ? _tmp2_label7 : (_tmp2_label7 = g_quark_from_static_string ("max-displayed-history-size")))) {
		switch (0) {
			default:
			{
				Window* _tmp25_;
				GPasteSettings* _tmp26_;
				guint _tmp27_ = 0U;
				_tmp25_ = self->priv->window;
				_tmp26_ = self->priv->_settings;
				_tmp27_ = g_paste_settings_get_max_displayed_history_size (_tmp26_);
				window_set_max_displayed_history_size (_tmp25_, (guint32) _tmp27_);
				break;
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label8) ? _tmp2_label8 : (_tmp2_label8 = g_quark_from_static_string ("element-size")))) {
		switch (0) {
			default:
			{
				Window* _tmp28_;
				GPasteSettings* _tmp29_;
				guint _tmp30_ = 0U;
				_tmp28_ = self->priv->window;
				_tmp29_ = self->priv->_settings;
				_tmp30_ = g_paste_settings_get_element_size (_tmp29_);
				window_set_element_size (_tmp28_, (guint32) _tmp30_);
				break;
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label9) ? _tmp2_label9 : (_tmp2_label9 = g_quark_from_static_string ("min-text-item-size")))) {
		switch (0) {
			default:
			{
				Window* _tmp31_;
				GPasteSettings* _tmp32_;
				guint _tmp33_ = 0U;
				_tmp31_ = self->priv->window;
				_tmp32_ = self->priv->_settings;
				_tmp33_ = g_paste_settings_get_min_text_item_size (_tmp32_);
				window_set_min_text_item_size (_tmp31_, (guint32) _tmp33_);
				break;
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label10) ? _tmp2_label10 : (_tmp2_label10 = g_quark_from_static_string ("max-text-item-size")))) {
		switch (0) {
			default:
			{
				Window* _tmp34_;
				GPasteSettings* _tmp35_;
				guint _tmp36_ = 0U;
				_tmp34_ = self->priv->window;
				_tmp35_ = self->priv->_settings;
				_tmp36_ = g_paste_settings_get_max_text_item_size (_tmp35_);
				window_set_max_text_item_size (_tmp34_, (guint32) _tmp36_);
				break;
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label11) ? _tmp2_label11 : (_tmp2_label11 = g_quark_from_static_string ("keyboard-shortcut")))) {
		switch (0) {
			default:
			{
				Window* _tmp37_;
				GPasteSettings* _tmp38_;
				const gchar* _tmp39_ = NULL;
				_tmp37_ = self->priv->window;
				_tmp38_ = self->priv->_settings;
				_tmp39_ = g_paste_settings_get_keyboard_shortcut (_tmp38_);
				window_set_keyboard_shortcut (_tmp37_, _tmp39_);
				break;
			}
		}
	}
}


static void ___lambda0__g_paste_settings_changed (GPasteSettings* _sender, const gchar* object, gpointer self) {
	__lambda0_ (self, object);
}


Main* main_construct (GType object_type) {
	Main * self = NULL;
	GPasteSettings* _tmp0_;
	GPasteSettings* _tmp1_;
	GPasteSettings* _tmp2_;
	self = (Main*) g_object_new (object_type, "application-id", "org.gnome.GPaste.Settings", NULL);
	g_signal_connect_object ((GApplication*) self, "activate", (GCallback) _main_init_g_application_activate, self, 0);
	_tmp0_ = g_paste_settings_new ();
	_tmp1_ = _tmp0_;
	main_set_settings (self, _tmp1_);
	_g_object_unref0 (_tmp1_);
	_tmp2_ = self->priv->_settings;
	g_signal_connect_object (_tmp2_, "changed", (GCallback) ___lambda0__g_paste_settings_changed, self, 0);
	return self;
}


Main* main_new (void) {
	return main_construct (TYPE_MAIN);
}


static void main_init (Main* self) {
	Window* _tmp0_;
	Window* _tmp1_;
	Window* _tmp2_;
	g_return_if_fail (self != NULL);
	_tmp0_ = window_new ((GtkApplication*) self);
	_tmp1_ = g_object_ref_sink (_tmp0_);
	_g_object_unref0 (self->priv->window);
	self->priv->window = _tmp1_;
	_tmp2_ = self->priv->window;
	gtk_widget_show_all ((GtkWidget*) _tmp2_);
}


gint main_main (gchar** args, int args_length1) {
	gint result = 0;
	GtkSettings* _tmp0_ = NULL;
	Main* _tmp1_;
	Main* app;
	Main* _tmp5_;
	gint _tmp6_ = 0;
	GError * _inner_error_ = NULL;
	bindtextdomain (gettext_package, LOCALEDIR);
	bind_textdomain_codeset (gettext_package, "UTF-8");
	textdomain (gettext_package);
	gtk_init (&args_length1, &args);
	_tmp0_ = gtk_settings_get_default ();
	g_object_set (_tmp0_, "gtk-application-prefer-dark-theme", TRUE, NULL);
	_tmp1_ = main_new ();
	app = _tmp1_;
	{
		Main* _tmp2_;
		_tmp2_ = app;
		g_application_register ((GApplication*) _tmp2_, NULL, &_inner_error_);
		if (_inner_error_ != NULL) {
			goto __catch0_g_error;
		}
	}
	goto __finally0;
	__catch0_g_error:
	{
		GError* e = NULL;
		FILE* _tmp3_;
		const gchar* _tmp4_ = NULL;
		e = _inner_error_;
		_inner_error_ = NULL;
		_tmp3_ = stderr;
		_tmp4_ = _ ("Fail to register the gtk application.\n");
		fprintf (_tmp3_, "%s", _tmp4_);
		result = 1;
		_g_error_free0 (e);
		_g_object_unref0 (app);
		return result;
	}
	__finally0:
	if (_inner_error_ != NULL) {
		_g_object_unref0 (app);
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
		g_clear_error (&_inner_error_);
		return 0;
	}
	_tmp5_ = app;
	_tmp6_ = g_application_run ((GApplication*) _tmp5_, 0, NULL);
	result = _tmp6_;
	_g_object_unref0 (app);
	return result;
}


int main (int argc, char ** argv) {
	g_type_init ();
	return main_main (argv, argc);
}


GPasteSettings* main_get_settings (Main* self) {
	GPasteSettings* result;
	GPasteSettings* _tmp0_;
	g_return_val_if_fail (self != NULL, NULL);
	_tmp0_ = self->priv->_settings;
	result = _tmp0_;
	return result;
}


static void main_set_settings (Main* self, GPasteSettings* value) {
	GPasteSettings* _tmp0_;
	GPasteSettings* _tmp1_;
	g_return_if_fail (self != NULL);
	_tmp0_ = value;
	_tmp1_ = _g_object_ref0 (_tmp0_);
	_g_object_unref0 (self->priv->_settings);
	self->priv->_settings = _tmp1_;
	g_object_notify ((GObject *) self, "settings");
}


static void main_class_init (MainClass * klass) {
	main_parent_class = g_type_class_peek_parent (klass);
	g_type_class_add_private (klass, sizeof (MainPrivate));
	G_OBJECT_CLASS (klass)->get_property = _vala_main_get_property;
	G_OBJECT_CLASS (klass)->set_property = _vala_main_set_property;
	G_OBJECT_CLASS (klass)->finalize = main_finalize;
	g_object_class_install_property (G_OBJECT_CLASS (klass), MAIN_SETTINGS, g_param_spec_object ("settings", "settings", "settings", g_paste_settings_get_type (), G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
}


static void main_instance_init (Main * self) {
	self->priv = MAIN_GET_PRIVATE (self);
}


static void main_finalize (GObject* obj) {
	Main * self;
	self = MAIN (obj);
	_g_object_unref0 (self->priv->window);
	_g_object_unref0 (self->priv->_settings);
	G_OBJECT_CLASS (main_parent_class)->finalize (obj);
}


GType main_get_type (void) {
	static volatile gsize main_type_id__volatile = 0;
	if (g_once_init_enter (&main_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (MainClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) main_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (Main), 0, (GInstanceInitFunc) main_instance_init, NULL };
		GType main_type_id;
		main_type_id = g_type_register_static (GTK_TYPE_APPLICATION, "Main", &g_define_type_info, 0);
		g_once_init_leave (&main_type_id__volatile, main_type_id);
	}
	return main_type_id__volatile;
}


static void _vala_main_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	Main * self;
	self = MAIN (object);
	switch (property_id) {
		case MAIN_SETTINGS:
		g_value_set_object (value, main_get_settings (self));
		break;
		default:
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
		break;
	}
}


static void _vala_main_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	Main * self;
	self = MAIN (object);
	switch (property_id) {
		case MAIN_SETTINGS:
		main_set_settings (self, g_value_get_object (value));
		break;
		default:
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
		break;
	}
}



